Bug 38532 - Authentication applications not included in build
Authentication applications not included in build
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: squid (Show other bugs)
7.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-05-01 03:20 EDT by Matthew Hyne
Modified: 2014-03-16 22:20 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-01 10:58:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Hyne 2001-05-01 03:20:43 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)


The REDHAT 7.0 build of Squid does not include the NCSA or SMB 
authentication modules.

Ie 
authenticate_program /usr/local/squid/bin/ncsa_auth

From squid docs - 
Squid uses modules to do user authentication, rather than including code 
to do it directly. The default Squid source does, however, include two 
standard modules; The first authenticates users from a file, the other 
uses SMB (Windows NT) authentication. These modules are in the 
auth_modules directory in the source directory.

Reproducible: Always
Steps to Reproduce:
1. Refer to http://squid-docs.sourceforge.net/latest/html/x1560.htm
2. Look at the username/password pair information
3.
	

Actual Results:  Files are not included in RPM

Expected Results:  Files should be included in RPM

See above

Name        : squid                        Relocations: (not relocateable)
Version     : 2.3.STABLE4                       Vendor: Red Hat, Inc.
Release     : 1                             Build Date: Sat 29 Jul 2000 
03:08:38 AM EST
Install date: Wed 10 Jan 2001 12:07:06 PM EST      Build Host: 
porky.devel.redhat.com
Group       : System Environment/Daemons    Source RPM: squid-2.3.STABLE4-
1.src.rpm
Size        : 2441002                          License: GPL
Packager    : Red Hat, Inc. <http://bugzilla.redhat.com/bugzilla>
Summary     : The Squid proxy caching server.
Description :
Comment 1 Bill Nottingham 2001-05-01 10:58:03 EDT
They are in the 7.1 package...

Note You need to log in before you can comment on or make changes to this bug.